v11.0
get
/ec-designer-study-svc/rest/v11.0/studies/{studyId}/versions/{version}/visits
Returns visits for the requested study version in v11.0. Compared with v10.0, this version includes nextVisitWithoutCompletion.
Request
Path Parameters
-
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
F054C951EB74443C93716CA714AB686E -
version(required): string
Study version path segment. Required. Example: "1.0.0.1".Example:
1.0.0.1
Query Parameters
-
blindingBranchLabel: boolean
Blind visit branch labels Optional.Default Value:
trueExample:true -
sort: boolean
Get visits sorted Optional.Default Value:
falseExample:false
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Nested Schema : RespVisitDto
Type:
Show Source
object-
branchId: string
(uuid)
Branch ID.
-
branchTitle: string
Visit branch title.Example:
Branch 2 -
endVisitId: string
(uuid)
End visit ID.
-
eventType: string
Visit event type.Example:
ScreeningVisit -
fullName: string
Concatenation of visit title and branch title with hyphen.Example:
B1C01 - V01 -
id: string
(uuid)
Visit GUID.
-
lastRequired: boolean
Indicates whether the visit is the last required visit.Example:
false -
nextVisitWithoutCompletion: boolean
Indicates whether the next eligible visit can be started before this visit is complete. True and false apply to eligible Scheduled, Rescreening, and Screen Failure visits; the value is omitted when not applicable.Example:
false -
randomization: string
(uuid)
Randomization GUID.
-
repeatNumber(required): integer
(int32)
Number of times to repeat the visit design.Example:
5 -
repeatVisit(required): boolean
Indicates whether the visit design is repeating.Example:
false -
requiredVisit(required): boolean
Indicates whether the visit design is required.Example:
false -
sdvRequired: string
Allowed Values:
[ "NOTSET", "NEVER", "ALWAYS", "CRITICAL" ]Source Data Verification type.Example:NOTSET(0),NEVER(1),ALWAYS(2),CRITICAL(3) -
shortName(required): string
Minimum Length:
1Maximum Length:16Pattern:[a-zA-Z0-9]+Visit short name.Example:Week1 -
startVisitId: string
(uuid)
Start visit ID.
-
studyVersion: string
Study version.Example:
1.0.0.1 -
studyVersionStatus: string
Study version status.Example:
TESTING -
timeLine: integer
(int32)
Shows the visit in the timeline and lets the designer set when it can be shown to a user.Example:
1 -
title(required): string
Minimum Length:
1Maximum Length:64Visit title.Example:Week 2 -
visitDescription: string
Visit description.Example:
Regular 2 week visit -
visitStartDate: string
(date-time)
Visit start date time.Example:
2019-01-25T07:42:00.204Z
Examples
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}